<?php

/*
 ****************************************************** URL ************************************************************
 * Definição das URLs para acessar o WS da ACCESSTAGE. Para cada URL existe um procedimento que deve ser chamado       *
 * (passando-se os paramêtros dentro de um array de arrays).                                                           *
 *                                                                                                                     *
 * LISTAMSGDISPONIVEL                                                                                                  *
 * @call  process                                                                                                      *
 * @param input : parâmetro não obrigatorio para realizar a chamada do método.                                         *
 *                                                                                                                     *
 * RECUPERAMSG                                                                                                         *
 * @call  process                                                                                                      *
 * @param trackingId : código do tipo inteiro fornecido pela lista de mensagens disponiveis.                           *
 *                                                                                                                     *
 * CONFIRMRETIRADA                                                                                                     *
 * @call  process                                                                                                      *
 * @param trackingID : código do tipo inteiro fornecido pela lista de mensagens disponiveis.                           *
 * @param dataRetirada : data em que a mensagem foi consumida.                                                         *
 * @param nmeArquivo : nome completo da mensagem consumida.                                                            *
 ***********************************************************************************************************************
*/

const LISTASERVDISPONIVEL = "https://www.accesstage.com.br/ASTrafegoWS/ProxyServices/ListaServicosDisponiveisProxy?wsdl";
const LISTAMSGDISPONIVEL  = "https://www.accesstage.com.br/ASTrafegoWS/ProxyServices/ListaMsgDisponiveisProxy?wsdl";
const RECUPERAMSG         = "https://www.accesstage.com.br/ASTrafegoWS/ProxyServices/RecuperacaoMensagemProxy?wsdl";
const CONFIRMRETIRADA     = "https://www.accesstage.com.br/ASTrafegoWS/ProxyServices/ConfirmacaoRetiradaProxy?wsdl";

/*
 ******************************************* Acesso Banco de Dados *****************************************************
 * Definição de constantes que permitem o acesso ao banco de dados.                                                    *
 *                                                                                                                     *
 ***********************************************************************************************************************
*/
const USERNAME = "";

/*
 ************************************************** ACESSO TESTE *******************************************************
 * Definição das informações de acesso ao WS para testes.                                                              *
 ***********************************************************************************************************************
*/
const ID_EMPRESA_CONC = '4008030';
const SENHA_CONC = 'E10ADC3949BA59ABBE56E057F20F883E';